#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           akonadi-contacts
Version: 20.12.0
Release:        %mkrel %{rel}
Summary:        Akonadi Contacts Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5Libkleo)
# Optional
BuildRequires:  cmake(KF5Prison)

BuildRequires:  boost-devel

Requires:       qtwebengine5
# can be removed for mga8
Obsoletes:      kdepimlibs-core < 16.08.0

Conflicts:      akonadi-kde < 2:18.04.1

%description
Akonadi Contacts Integration.

%files -f %name.lang
%_kf5_categoriesdir/akonadi-contacts.categories
%_kf5_categoriesdir/akonadi-contacts.renamecategories
%_kf5_datadir/kf5/akonadi/contact/
%_kf5_services/akonadicontact_actions.desktop
%_qt5_plugindir/kcm_akonadicontact_actions.so
%_qt5_plugindir/akonadi/contacts/plugins/categorieseditwidgetplugin.so
%_qt5_plugindir/akonadi_serializer_addressee.so
%_qt5_plugindir/akonadi_serializer_contactgroup.so
%_kf5_datadir/akonadi/plugins/serializer/akonadi_serializer_addressee.desktop
%_kf5_datadir/akonadi/plugins/serializer/akonadi_serializer_contactgroup.desktop

#--------------------------------------------------------------------

%define kf5akonadicontact_major 5
%define libkf5akonadicontact %mklibname kf5akonadicontact %{kf5akonadicontact_major}

%package -n %{libkf5akonadicontact}
Summary:        Akonadi Contacts Integration main library
Group:          System/Libraries

%description -n %{libkf5akonadicontact}
Akonadi Contacts Integration main library.

%files -n %{libkf5akonadicontact}
%_kf5_libdir/libKF5AkonadiContact.so.%{kf5akonadicontact_major}{,.*}

#--------------------------------------------------------------------

%define kf5contacteditor_major 5
%define libkf5contacteditor %mklibname kf5contacteditor %{kf5contacteditor_major}

%package -n %{libkf5contacteditor}
Summary:        Akonadi Contacts Integration main library
Group:          System/Libraries

%description -n %{libkf5contacteditor}
Akonadi Contacts Integration main library.

%files -n %{libkf5contacteditor}
%_kf5_libdir/libKF5ContactEditor.so.%{kf5contacteditor_major}{,.*}

#--------------------------------------------------------------------

%define kf5akonadicontact_devel %mklibname kf5akonadicontact -d

%package -n %{kf5akonadicontact_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libkf5akonadicontact} = %{version}-%{release}
Requires:       %{libkf5contacteditor} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{kf5akonadicontact_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadicontact_devel}
%_kf5_includedir/Akonadi/Contact/
%_kf5_includedir/akonadi/contact/
%_kf5_includedir/ContactEditor/
%_kf5_includedir/contacteditor/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiContact/
%_kf5_libdir/cmake/KF5ContactEditor/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Mon Dec 14 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1657054
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643904
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633709
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626962
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614826
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604026
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596757
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584409
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568040
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559230
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540671
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513200
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466844
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457804
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447523
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424894
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390353
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387557
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1381215
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375429
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365472
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356407
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339421
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332652
- New version 18.08.3

* Mon Nov 19 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1331666
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 18.04.1-3.mga7
+ Revision: 1294239
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 18.04.1-2.mga7
+ Revision: 1245789
- Add conflict to ease upgrade

* Sun Jul 01 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1241139
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201802
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194826
- New version 17.12.1

* Fri Jan 05 2018 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1190351
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1142943
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1138750
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133528
- Fix for new find_lang

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131028
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089981
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Mon Dec 26 2016 daviddavid <daviddavid> 16.12.0-2.mga6
+ Revision: 1078103
- enable KF5Prison support
- requires qtwebengine5

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076716
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071935
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067252
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061311
- New version 16.08.2

* Tue Sep 20 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1054681
- Do not try to buil on armv5 as long as Qt5WebEngineWidgets does not exist

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050578
- New version 16.08.1

* Thu Sep 08 2016 neoclust <neoclust> 16.08.0-7.mga6
+ Revision: 1050483
- Fix update from older kde apps

* Wed Sep 07 2016 neoclust <neoclust> 16.08.0-6.mga6
+ Revision: 1050294
- Rebuild on release

* Thu Sep 01 2016 neoclust <neoclust> 16.08.0-5.mga6
+ Revision: 1049683
- Do not enable qtwebengine on armv5
- Rebuild for arm

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-3.mga6
+ Revision: 1049141
- add a Conflicts with kdepimlibs-core < 16.04.3-2

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1048970
- fix main library name and devel package name

* Sun Aug 21 2016 daviddavid <daviddavid> 16.08.0-1.mga6
+ Revision: 1047592
- imported package akonadi-contacts

